// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently,
// but are changed infrequently
#pragma once

#ifndef _SECURE_ATL
#define _SECURE_ATL 1
#endif

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN            // Exclude rarely-used stuff from Windows headers
#endif

#include "targetver.h"

#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS      // some CString constructors will be explicit

// turns off MFC's hiding of some common and often safely ignored warning messages
#define _AFX_ALL_WARNINGS

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions

#ifndef _AFX_NO_OLE_SUPPORT
#include <afxdtctl.h>           // MFC support for Internet Explorer 4 Common Controls
#endif
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>             // MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <afxcontrolbars.h>     // MFC support for ribbons and control bars

#include "CUtilClasses.h"
#include "CinemaProgress_object.h"

#define DECLARE_MODULE_NAME   LPCTSTR module = __FUNCTION__

extern CCinemaProgress CinemaProgress;

void UtilsR1_force_protocol_str(char* s);
void UtilsR1_ShowLastErrorMessage(char *header);

// Utils

#ifndef _F2I_
#define _F2I_
#include <math.h>
inline int f2i(double n)
{
  double dummy;
  int    mul = 1;
  if(n < 0.0) { n = fabs(n); mul = -1; }
  return (int)((modf(n,&dummy) < 0.5)?floor(n):ceil(n)) * mul;
}
#endif // #ifndef _F2I_

#define SCR_COLOR_YELLOW            RGB(255,255,0)    // Common Yellow
#define SCR_COLOR_GRAY              RGB(150,150,150)  // Common Gray
#define SCR_COLOR_BLACK             RGB(0,0,0)        // Common Black
#define SCR_COLOR_LIGHT_GREEN       RGB(0,120,110)    // Light Green (pens, etc.)
