// CinemaProgress_probeDlg.cpp : implementation file
//
#include "stdafx.h"
#include "CinemaProgress_probe.h"
#include "CinemaProgress_probeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

CCinemaProgress_probeDlg* pMainDlg = NULL;

void UtilsR1_force_protocol_str(char* s)
{
}

void UtilsR1_ShowLastErrorMessage(char *header)
{
  LPVOID lpMsgBuf;
  FormatMessage( 
    FORMAT_MESSAGE_ALLOCATE_BUFFER | 
    FORMAT_MESSAGE_FROM_SYSTEM     | 
    FORMAT_MESSAGE_IGNORE_INSERTS,
    NULL,
    GetLastError(),
    MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
    (LPTSTR) &lpMsgBuf,
    0,
    NULL);
  MessageBox( NULL, (LPCTSTR)lpMsgBuf, header, MB_OK | MB_ICONINFORMATION );
  // Free the buffer.
  LocalFree( lpMsgBuf );
}

// CCinemaProgress_probeDlg dialog

CCinemaProgress_probeDlg::CCinemaProgress_probeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCinemaProgress_probeDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCinemaProgress_probeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CCinemaProgress_probeDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
  ON_WM_DESTROY()
  ON_WM_DRAWITEM()
  ON_WM_TIMER()
  ON_WM_ERASEBKGND()
END_MESSAGE_MAP()

// CCinemaProgress_probeDlg message handlers

BOOL CCinemaProgress_probeDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

  // Create timers
  m_Timer = SetTimer(1,30,NULL);
  if( !m_Timer ) {
    MessageBox(" Can't create timer resource! ");
    EndDialog(IDCANCEL);
    return FALSE;
  }

  GetDlgItem(IDC_BUTTON_CinemaProgress)->MoveWindow(10,20,512,10);

  CinemaProgress.SetParams(512,512,0,0);
  CinemaProgress.Enable(TRUE);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCinemaProgress_probeDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCinemaProgress_probeDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CCinemaProgress_probeDlg::OnDestroy()
{
  CDialog::OnDestroy();

  // TODO: Add your message handler code here
  if(m_Timer) KillTimer(m_Timer);
}

void CCinemaProgress_probeDlg::OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct)
{
  // TODO: Add your message handler code here and/or call default

  if(nIDCtl == IDC_BUTTON_CinemaProgress) {
    CinemaProgress.DrawItemProgress(lpDrawItemStruct);
  }
  else {
    CDialog::OnDrawItem(nIDCtl, lpDrawItemStruct);
  }
}

void CCinemaProgress_probeDlg::OnTimer(UINT_PTR nIDEvent)
{
  // TODO: Add your message handler code here and/or call default
  {
    int pos = CinemaProgress.GetPosition()+1;
    CinemaProgress.SetPosition(pos);
    CinemaProgress.Invalidate();
  }
  CDialog::OnTimer(nIDEvent);
}

BOOL CCinemaProgress_probeDlg::OnEraseBkgnd(CDC* pDC)
{
  // TODO: Add your message handler code here and/or call default

  RECT rc;
  SBrush black_brush(pDC->m_hDC,RGB(0,0,0));

  GetClientRect(&rc);
  ::FillRect(pDC->m_hDC,&rc,HBRUSH(black_brush));
  return TRUE;
//return CDialog::OnEraseBkgnd(pDC);
}
